Gönderen Konu: [Nasıl] ATI yerine Mesa sürücülerini kullanmak  (Okunma sayısı 18609 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« : »
Öncelikle grafik kartınızı öğrenin
Kod: [Seç]
lspci -nn | grep VGADaha sonra ati sürücüsü kuruluysa sisteminizden tamamen kaldırın
Kod: [Seç]
sudo apt-get remove --purge xorg-driver-fglrxEğer kurulumu elle yaptıysanız
Kod: [Seç]
sudo sh /usr/share/ati/fglrx-uninstal.shkomutu uygulayın ,
Mesa sürücülerini yapılandırmak için gerekli paketleri kurun ,
Kod: [Seç]
sudo apt-get install --reinstall libgl1-mesa-glx libgl1-mesa-driSon olarak eski xorg.conf dosyasını silin veya farklı bir isim vererek yedek alın ,
Kod: [Seç]
sudo rm -rf /etc/X11/xorg.confveya
Kod: [Seç]
sudo mv /etc/X11/xorg.conf  /etc/X11/xorg.conf.sonyedekolX'i yeniden başlatın ,
Kod: [Seç]
sudo /etc/init.d/gdm restart
Hangi driver ın kullanımda olduğunu
 
Kod: [Seç]
glxinfo|grep renderKomutuyla görebilirsiniz.
https://help.ubuntu.com/community/RadeonDriver
Bi başlık olsun dedim :)
 
 
http://wiki.ubuntu-tr.net/index.php/ATI_yerine_Mesa_s%C3%BCr%C3%BCc%C3%BClerini_kullanmak
 
« Son Düzenleme: 22 Haziran 2010 - 04:00:23 Gönderen: hitokiri »

« Yanıtla #1 : »
Ben de sabit olsun istedim :)
Eline sağlık.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #2 : »
Alıntı
Ben de sabit olsun istedim :)
Eline sağlık.
Teşekkür ederim :)

« Yanıtla #3 : »
Kod: [Seç]
ertan@ertan-desktop:~$ lspci -nn | grep VGA
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RC410 [Radeon Xpress 200] [1002:5a61]
ertan@ertan-desktop:~$
]
kurulumu aynen tarifinize uygun olarak yaptım çıktısıda şöyle...buna göre ben mesa sürücüsünümü kullanmaktayım?

« Yanıtla #4 : »
peki mesa sürücüsü atinin sürücüsünden daha mı iyidir ?
toshiba satellite a300 2d4
ati mobility readon hd 3400

« Yanıtla #5 : »
Genelde hayır , ama ati x serisine desteğini kaldırdığı için bazı arkadaşlar mecburen mesa driver kullanıyorlar. Hd serisi kartlarda devamlı bir fan sesi ve performans kaybı yaşatacaktır mesa driverlar.

« Yanıtla #6 : »
hmm *tamam tesekkurler
toshiba satellite a300 2d4
ati mobility readon hd 3400

« Yanıtla #7 : »
Alıntı
kurulumu aynen tarifinize uygun olarak yaptım çıktısıda şöyle...buna göre ben mesa sürücüsünümü kullanmaktayım?
Hangi driver ın kullanımda olduğunu
Kod: [Seç]
glxinfo|grep renderKomutuyla görebilirrsiniz ,
hd serisinde benim farkettiğim temel farklar şöyle ati driverları ile bazı uyglamalar sorunlu örneğin film oynatıcıda bozulma yapıyor ekran kaydı almak mümkün değil alınamıyor ,
mesa sürcüleri ile bu sorunlar yok ama mesa sürücüleri bazı compiz eklentilerine karşı duyarlı mesa sürücüleri ile fazla janjanlı bir kullanım sorun çıkartabiliyor ve mesa sürücüleri ile fps oyunlarda oynanamıyor :)

« Yanıtla #8 : »
yeni bir kullanıcıyım bunu her defasında söylemem gerekiyor anladınız derdimi eminim :D ben  ati radeon x1550 ekran kartı kullanıyorum ati de sorun yaşadım araştırdım biraz en son bu sayfada yazılanları uyguladım sonra donanım sürücülerine tekrar girdim yine seçebileceğim * bir şey çıkmadı ya da çıkmaması mı gerekli komutları girince iş bitiyor mu? biri beni bu dertten kurtarsın

« Yanıtla #9 : »
Herhangi bir hata aldınız mı işlemleri yürütürken?

Anlatımda da söylendiği üzere, aşağıdaki komut ile şu an kullanmakta olduğunuz sürücüyü görebilirsiniz...

Kod: [Seç]
glxinfo|grep render
".NET çemberinden geçen lirisist etkisi bir 'Volcano', bir yüzüm Java bir yüzüm Badalamenti Don Tano"
----------------------------------------------------------------------------------------------------------------------
"Her yer ölüm yine, burası dünya
 Derken ölüm bile bu nasıl dünya?
 Benden ölüm dile, batıyor gün yine
 Burası dünya?

« Yanıtla #10 : »
yeni bir kullanıcıyım bunu her defasında söylemem gerekiyor anladınız derdimi eminim :D ben  ati radeon x1550 ekran kartı kullanıyorum ati de sorun yaşadım araştırdım biraz en son bu sayfada yazılanları uyguladım sonra donanım sürücülerine tekrar girdim yine seçebileceğim * bir şey çıkmadı ya da çıkmaması mı gerekli komutları girince iş bitiyor mu? biri beni bu dertten kurtarsın

Herhangi bir sürücü görünmeyecek zaten, ne yazık ki senin kartına AMD/ATI desteği kesti. Mesa ile idare etmen gerekiyor ki, o da burada anlatılan şeydir. Ancak @strotavarius'un bir başlığında yeni xorg paketlerini içeren bir PPA anlatılmakta, orada iyileştirmeler olabilir.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #11 : »
Bende tavsiye vermek için @sem0900'un istediği çıktıyı bekliyordum :D


« Yanıtla #12 : »
Bu saayfadaki bilgiler 12.04 LTS için de geçerli mi? Güncelliğini kaybetmişse alternatifi nedir? (radeon 9550/x1050)

« Yanıtla #13 : »
@bzn7, bilgiler hâlâ geçerli. ATI X serisi kartlar için desteğini çekeli uzunca bir süre oluyor. Haliyle sürücü kurmaya falan gerek yok, bu başlıkta anlatılanlar ise olur de bir karışıklık yaşanmışsa diye anlatılmış durumda. Kısacası kurulumdan sonra doğrudan kullanabilirsin kartı, bir şey yapmana gerek yok.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #14 : »
@heartsmagic yani sistem kurulumundan sonra kendiliğinden aktif olan sürücü mesa sürücüsü mü radeon sürücüsü mü? Bildiğim kadarıyla Radeon sürücüsü aktif olarak geliyor ama 3D accerlation desteği olmadığı için mesa sürücü kurmaya çalışıyoruz. Unity arayüzünü 3D efektleriyle kullanabilmek için vs.. bu akşam kuracağım sistemi bakalım 3D mi gelecek 2D mi?

O halde bu linkteki muhabbeti ben yanlış mı anlamışım?
https://answers.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+question/195535

Daha önce Radeon x1650 üzerinde sistemi live cd olarak çalıştırmıştım ve arayüz 2D olarak başlamıştı, HD 4650 ile 3D arayüz başlamıştı.. Şimdiki deneyeceğim kart Radeon 9550/X1050 ismiyle anıldığına göre arayüz 2D gelecek diye tahmin ediyorum.

Aslında sorun sadece 3D arayüz hevesi değil.Sistemi SiS M650 GPU ile kullanınca (VESA 6325 2D accerlation driver non-3D) webflash videolarda, Google Earth'te CİDDİ kasmalar olması ve mplayer da video oynatırken video penceresinin siyah kalması (pencereyi tutup sağa sola oynatınca görüntü geliyor bırakınca geri kararıyor) gibi sorunlar yaşamak istemiyorum. Dolayısıyla düzgün bir driver yoksa sistem kurmayayım bu bilgisayara da diyordum ama kuralım bakalım akşam görelim Radeon 9550 de ne olacak :) (video sorunu Lubuntu da olmuyor :) )

ubuntuyu seviyorum bu aralar çok hızlı gelişiyor ve artık windows kullanmak istemiyorum.Hem saçma sapan bug'lar, virüsler hemide para verip kullanacağız... saçma :D

« Yanıtla #15 : »
Yanlış bilmiyorsam eğer zaten açık kaynak olan sürücülerin bir kısmını zaten Mesa sağlıyor. Yani mesa derken tek bir sürücüden bahsetmiyoruz burada. Gallium sürücüsü (daha doğrusu kütüphanesi sanırım) ile hem nouveau hem de radeon kartların sürücülerini sağlıyor olması lazım.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #16 : »
 Evet mesa, vesa daha genel kapsamlı sürücü sağlayıcıları anladığım kadarıyla ve Radeon 9... ve X1.... kartları da mesanın sağladığı driverlar arasında
 Ubuntu bize ilk kurulumda fglrx'in radeon driverlerını verecek bende onu mesa'nın radeon driverı ile değiştireceğim gibi görünüyor çünkü fglrx driverlar kart 3D destekli olmasına rağmen 3D destekli değil ve 2D ile de düşük performans veriyor (tabi bunlar araştırırken okuduğum bilgiler daha bendeki durumu görmedim) sistemi kurunca anlayacağız bakalım...

3D desteği OpenGL uygulamaları için şart. Masaüstünü zaten Unity 2D ile kullanırım muhtemelen çünkü bilgisayarın ram'i 256mb. Ekran kartı da 256 mb. unity 3D için ekran kartı yeter ama ram yetmez swap'la da çok yavaş çalışır.

« Yanıtla #17 : »
Arkadaşlar ben de toshiba *dizüstü bilgisayarıma ubuntu 12.04 kurdum dün.Sürücü falan kurmadım ama gnome shell i yükleyince sorunsuz çalıştı şu an bir sorun yaşamıyorum ama fan fön makinesi gibi çalışıyor!Şimdi ben ek sürücülerdekini mi kurayım yoksa bu başlıkta anlatılanı mı kurayım?Yoksa kurmayayım mı...Bir de ekran kartımı vereyim.
Kod: [Seç]
ahmet@toshiba:~$ lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI M96 [Mobility Radeon HD 4650] [1002:9480]

« Yanıtla #18 : »
Kod: [Seç]
jockey-gtkOrdan önerileni seçip kur eğer sahipli sürücüyü kaldırmak istersen eskiye dönmek için  buradakiler.

« Yanıtla #19 : »
Mesa nedir, ati sürücülerinden farkı nedir ? Masaüstüme kurabilrim..
Kabin basıncı düştü motorlarda arıza !
Vakit süratle aksın hakimiyet kur nabıza !
İçinden nasıl geldiyse yaz anlat herşeyi ,
Bu mektup varmıcak hayalini kurduğun kıza !

« Yanıtla #20 : »
Kod: [Seç]
ahmet@toshiba:~$ jockey-gtk

(jockey-gtk:3190): Gtk-CRITICAL **: gtk_icon_set_render_icon_pixbuf: assertion `icon_set != NULL' failed

(jockey-gtk:3190): Gtk-CRITICAL **: gtk_icon_set_render_icon_pixbuf: assertion `icon_set != NULL' failed
ERROR:dbus.proxies:Introspect error on :1.77:/DeviceDriver: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Traceback (most recent call last):
  File "/usr/bin/jockey-gtk", line 418, in <module>
    sys.exit(u.run())
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 468, in run
    self.ui_show_main()
  File "/usr/bin/jockey-gtk", line 94, in ui_show_main
    self.update_tree_model()
  File "/usr/bin/jockey-gtk", line 274, in update_tree_model
    for h_id in self.get_displayed_handlers():
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 819, in get_displayed_handlers
    return self.backend().available(self.argv_options.mode)
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 130, in backend
    self._check_repositories()
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 842, in _check_repositories
    if self._dbus_iface.has_repositories():
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
ahmet@toshiba:~$ jockey-text --list
ERROR:dbus.proxies:Introspect error on :1.77:/DeviceDriver: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Traceback (most recent call last):
  File "/usr/bin/jockey-text", line 128, in <module>
    sys.exit(u.run())
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 421, in run
    self.list()
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 476, in list
    for h_id in self.backend().available(self.argv_options.mode):
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 130, in backend
    self._check_repositories()
  File "/usr/lib/python2.7/dist-packages/jockey/ui.py", line 842, in _check_repositories
    if self._dbus_iface.has_repositories():
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
hatalı sanıyorum...

« Yanıtla #21 : »
Kod: [Seç]
env LANG="C" jockey-gtkşeklinde bir dene istersen o da olmazsa;
normal apt ile kurabilirsin,
Kod: [Seç]
sudo apt-get install fglrx fglrx-amdcccleKurulum bittikten sonra yeniden başlatıp bakarsın duruma ,
Kod: [Seç]
sudo reboot
Mesa nedir, ati sürücülerinden farkı nedir ? Masaüstüme kurabilrim..
Mesa açık kaynaklı grafik kütüphanesi , bazı ekran kartları için grafik hızlandırma sağlayabiliyor ve ubuntu ile kurulu geliyor, canlı cd üzerinde compiz'in çalışmasının nedenlerinden örneğin, bağlantı sanırım detaylı bilgiler içeriyor..
Yani buradakiler ati sahipli sürücü kurduktan sonra olurda sorun yaşarsak   nasıl eskiye dönerizi anlatıyor başka bir şey değil.
« Son Düzenleme: 22 Ağustos 2012 - 16:48:29 Gönderen: hitokiri »

« Yanıtla #22 : »
@hitokiri  anladım teşekkürler bilgilendirme için
Kabin basıncı düştü motorlarda arıza !
Vakit süratle aksın hakimiyet kur nabıza !
İçinden nasıl geldiyse yaz anlat herşeyi ,
Bu mektup varmıcak hayalini kurduğun kıza !

« Yanıtla #23 : »
@kabataş senin mesa sürücülerine ihtiyacın yok, çünkü HD4650 zaten halen ATI tarafından sürücüsü sunulan bir kart.  Mesa sürücülerini Radeon 9... ve Radeon X gibi eski seriler için gerekli çünkü ATI eski kartlarına 2009 dan beri sürücü desteği sunmuyor.. Bizde mesa gibi açık kaynak sürücüler kullanıyoruz. Sen amd.com dan indirebileceğin sürücüyü kurabilirsin.

Mobility Radeon HD 4650 için Linux sürücüleri:
http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx

@heartsmagic Bu arada Radeon 9550/X1050 üzerinde sistemi kurdum ve dediğin gibi hiçbir şeye gerek kalmadan unity 3D arayüzü gayet akıcı bir şekilde çalıştı ve hiçbir sürücü eksikliği belirtisi göstermedi. Ama [sistem ayarları>ayrıntılar] bölümünde [Graphics = unknown] yazıyor.. Gayet performanslı çalışarak aklıma bir Çin atasözünü getirdi "Çalışıyorsa kurdalama" :D
« Son Düzenleme: 23 Ağustos 2012 - 12:01:00 Gönderen: bzn7 »

« Yanıtla #24 : »
Evet, çalışıyorsa kurcalamaya gerek yok :) Sadece şu bilgiyi alalım biz:
Kod: [Seç]
/usr/lib/nux/unity_support_test -p
Böylece sistemin kullandığı sürücü detaylarını da görmüş oluruz. Muhtemelen Mesa üzerinden Gallium kullanıyordur.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.